import type { ComponentType } from 'react';
declare type Interpolation = ((executionContext: Object) => Interpolation) | string | ComponentType | Array<Interpolation>;
declare type RuleSet = Array<Interpolation>;
declare type PartialRecord<K extends keyof any, T> = {
    [P in K]?: T;
};
declare const platformKeys: readonly string[];
export declare type TPlatformKey = typeof platformKeys[number];
export declare type TPlatformSelectObject = PartialRecord<TPlatformKey, RuleSet>;
declare type TPlatformEachHandler = (styles?: RuleSet) => RuleSet | void;
interface platform extends Record<TPlatformKey, TPlatformEachHandler> {
    (platformSelectObjectOrTPlatformKeyString: TPlatformSelectObject | TPlatformKey, styles?: RuleSet): RuleSet;
}
export declare const platform: platform;
export {};
